import { IMiddleware } from '@midwayjs/core';
import { Context, NextFunction } from '@midwayjs/koa';
export declare class SwaggerMiddleware implements IMiddleware<Context, NextFunction> {
    magicConfig: any;
    resolve(): (ctx: Context, next: NextFunction) => Promise<void>;
    match(ctx: any): boolean;
    static getName(): string;
}
